package com.ruoyi.eas.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学科对象 eas_base_direction
 * 
 * @author ruoyi
 * @date 2023-03-02
 */
public class BaseDirection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学科名称 */
    @Excel(name = "学科名称")
    private String dirName;

    /** 学科介绍 */
    @Excel(name = "学科介绍")
    private String dirDesc;

    /** 封面 */
    @Excel(name = "封面")
    private String dirImg;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDirName(String dirName) 
    {
        this.dirName = dirName;
    }

    public String getDirName() 
    {
        return dirName;
    }
    public void setDirDesc(String dirDesc) 
    {
        this.dirDesc = dirDesc;
    }

    public String getDirDesc() 
    {
        return dirDesc;
    }
    public void setDirImg(String dirImg) 
    {
        this.dirImg = dirImg;
    }

    public String getDirImg() 
    {
        return dirImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dirName", getDirName())
            .append("dirDesc", getDirDesc())
            .append("dirImg", getDirImg())
            .toString();
    }
}
